using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pecina___Petlja_2024
{
    class Program
    {
        static void Main(string[] args)
        {
            int N = 0, L = 0; int[] H;
            
            string unos1 = Console.ReadLine();
            
            for (int i = 0; i < unos1.Length; i++)
                if (unos1[i] == ' ')
                {
                    N = Convert.ToInt32(unos1.Substring(0, i));
                    L = Convert.ToInt32(unos1.Substring(i + 1, unos1.Length - 1 - i));
                }

            H = new int[N];

            string unos2 = Console.ReadLine(); unos2 += " ";
            int br = 0, j = 0, k = 0;

            for (int i = 0; i < unos2.Length; i++)
            {
                if (unos2[i] == ' ')
                {
                    H[k++] = Convert.ToInt32(unos2.Substring(j, br));
                    j = i + 1; br = 0;
                }
                else br++;
            }

            int izlaz = -1;

            for (int i = 0; i < H.Length; i++)
                if (H[i] <= L) { izlaz = i + 1; break; }

            Console.WriteLine(izlaz);

            Console.ReadLine();
        }
    }
}